<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

    <v-footer
      :clipped-left="true"
      app
      color="primary"
      dark
      fixed
    >
      <v-spacer></v-spacer>
      <v-spacer></v-spacer>
      v. {{ version }} build: {{ buildRef }}
    </v-footer>

</template>

<script>
import getEnv from '@/utils/env'
export default {
  name: 'Footer',
  data() {
    return {
      version: getEnv('VUE_APP_VERSION'),
      buildRef: getEnv('VUE_APP_BUILD_REF')
    }
  }
};
</script>
